Supported browsers for Campaign Manager 360

Our general policy is to guarantee support for using the Campaign Manager 360 interface with Chrome, Firefox, and Microsoft Edge. We support the most recent versions of these browsers from within the last 6 months on a rolling basis. 

Note: Disable any ad blocking software installed on your browser before you use Campaign Manager 360. Otherwise, Campaign Manager 360 may not work properly and you may not be able to test your tags.

Was this helpful?
How can we improve it?

Need more help?

Sign in for additional support options to quickly solve your issue

Search
Clear search
Close search
Google apps
Main menu
Search Help Center
true
69192
false